## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition
Interface PartitionPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  PartitionPackageImpl

    public interface PartitionPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `PartitionFactory`

Nested Class Summary
`static interface` `PartitionPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static PartitionPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `LIST_RANGE_PARTITION_ITEM` The meta object id for the '`List Range Partition Item`' class.
`static int` `LIST_RANGE_PARTITION_ITEM__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `LIST_RANGE_PARTITION_ITEM__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `LIST_RANGE_PARTITION_ITEM__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `LIST_RANGE_PARTITION_ITEM__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `LIST_RANGE_PARTITION_ITEM__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `LIST_RANGE_PARTITION_ITEM__LABEL` The feature id for the 'Label' attribute.
`static int` `LIST_RANGE_PARTITION_ITEM__NAME` The feature id for the 'Name' attribute.
`static int` `LIST_RANGE_PARTITION_ITEM__PARTITION_NAME` The feature id for the 'Partition Name' attribute.
`static int` `LIST_RANGE_PARTITION_ITEM__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `LIST_RANGE_PARTITION_ITEM__SEGMENT` The feature id for the 'Segment' reference.
`static int` `LIST_RANGE_PARTITION_ITEM__VALUES` The feature id for the 'Values' attribute list.
`static int` `LIST_RANGE_PARTITION_ITEM_FEATURE_COUNT` The number of structural features of the 'List Range Partition Item' class.
`static int` `PARTITION_NUM_IN_SEGMENTS` The meta object id for the '`Num In Segments`' class.
`static int` `PARTITION_NUM_IN_SEGMENTS__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `PARTITION_NUM_IN_SEGMENTS__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `PARTITION_NUM_IN_SEGMENTS__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `PARTITION_NUM_IN_SEGMENTS__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `PARTITION_NUM_IN_SEGMENTS__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `PARTITION_NUM_IN_SEGMENTS__LABEL` The feature id for the 'Label' attribute.
`static int` `PARTITION_NUM_IN_SEGMENTS__NAME` The feature id for the 'Name' attribute.
`static int` `PARTITION_NUM_IN_SEGMENTS__PARTITION_NUMB` The feature id for the 'Partition Numb' attribute.
`static int` `PARTITION_NUM_IN_SEGMENTS__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `PARTITION_NUM_IN_SEGMENTS__SEGMENT` The feature id for the 'Segment' reference list.
`static int` `PARTITION_NUM_IN_SEGMENTS_FEATURE_COUNT` The number of structural features of the 'Num In Segments' class.
`static int` `PARTITION_SEGMENT_PAIR` The meta object id for the '`Segment Pair`' class.
`static int` `PARTITION_SEGMENT_PAIR__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `PARTITION_SEGMENT_PAIR__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `PARTITION_SEGMENT_PAIR__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `PARTITION_SEGMENT_PAIR__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `PARTITION_SEGMENT_PAIR__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `PARTITION_SEGMENT_PAIR__LABEL` The feature id for the 'Label' attribute.
`static int` `PARTITION_SEGMENT_PAIR__NAME` The feature id for the 'Name' attribute.
`static int` `PARTITION_SEGMENT_PAIR__PARTITION_NAME` The feature id for the 'Partition Name' attribute.
`static int` `PARTITION_SEGMENT_PAIR__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `PARTITION_SEGMENT_PAIR__SEGMENT` The feature id for the 'Segment' reference.
`static int` `PARTITION_SEGMENT_PAIR_FEATURE_COUNT` The number of structural features of the 'Segment Pair' class.
`static int` `SYBASE_ASE_HASH_PARTITION` The meta object id for the '`Sybase ASE Hash Partition`' class.
`static int` `SYBASE_ASE_HASH_PARTITION__COLUMNS` The feature id for the 'Columns' reference list.
`static int` `SYBASE_ASE_HASH_PARTITION__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_HASH_PARTITION__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_HASH_PARTITION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_HASH_PARTITION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_HASH_PARTITION__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_HASH_PARTITION__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_HASH_PARTITION__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_HASH_PARTITION__PARTITION_NUM_IN_SEGMENTS` The feature id for the 'Partition Num In Segments' reference.
`static int` `SYBASE_ASE_HASH_PARTITION__PARTITION_SEGMENT_PAIRS` The feature id for the 'Partition Segment Pairs' reference list.
`static int` `SYBASE_ASE_HASH_PARTITION__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_HASH_PARTITION_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Hash Partition' class.
`static int` `SYBASE_ASE_LIST_PARTITION` The meta object id for the '`Sybase ASE List Partition`' class.
`static int` `SYBASE_ASE_LIST_PARTITION__COLUMN` The feature id for the 'Column' reference.
`static int` `SYBASE_ASE_LIST_PARTITION__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_LIST_PARTITION__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_LIST_PARTITION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_LIST_PARTITION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_LIST_PARTITION__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_LIST_PARTITION__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_LIST_PARTITION__LIST_PARTITION_ITEMS` The feature id for the 'List Partition Items' reference list.
`static int` `SYBASE_ASE_LIST_PARTITION__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_LIST_PARTITION__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_LIST_PARTITION_FEATURE_COUNT` The number of structural features of the 'Sybase ASE List Partition' class.
`static int` `SYBASE_ASE_PARTITION` The meta object id for the '`Sybase ASE Partition`' class.
`static int` `SYBASE_ASE_PARTITION__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_PARTITION__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_PARTITION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_PARTITION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_PARTITION__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_PARTITION__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_PARTITION__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_PARTITION__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_PARTITION_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Partition' class.
`static int` `SYBASE_ASE_RANGE_PARTITION` The meta object id for the '`Sybase ASE Range Partition`' class.
`static int` `SYBASE_ASE_RANGE_PARTITION__COLUMNS` The feature id for the 'Columns' reference list.
`static int` `SYBASE_ASE_RANGE_PARTITION__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_RANGE_PARTITION__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_RANGE_PARTITION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_RANGE_PARTITION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_RANGE_PARTITION__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_RANGE_PARTITION__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_RANGE_PARTITION__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_RANGE_PARTITION__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_RANGE_PARTITION__RANGE_PARTITION_ITEMS` The feature id for the 'Range Partition Items' reference list.
`static int` `SYBASE_ASE_RANGE_PARTITION_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Range Partition' class.
`static int` `SYBASE_ASE_ROUNDROBIN_PARTITION` The meta object id for the '`Sybase ASE Roundrobin Partition`' class.
`static int` `SYBASE_ASE_ROUNDROBIN_PARTITION__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_ROUNDROBIN_PARTITION__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_ROUNDROBIN_PARTITION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_ROUNDROBIN_PARTITION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_ROUNDROBIN_PARTITION__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_ROUNDROBIN_PARTITION__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_ROUNDROBIN_PARTITION__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_NUM_IN_SEGMENTS` The feature id for the 'Partition Num In Segments' reference.
`static int` `SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_SEGMENT_PAIRS` The feature id for the 'Partition Segment Pairs' reference list.
`static int` `SYBASE_ASE_ROUNDROBIN_PARTITION__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_ROUNDROBIN_PARTITION_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Roundrobin Partition' class.

Method Summary
`org.eclipse.emf.ecore.EAttribute` `getListRangePartitionItem_PartitionName()` Returns the meta object for the attribute '`Partition Name`'.
`org.eclipse.emf.ecore.EReference` `getListRangePartitionItem_Segment()` Returns the meta object for the reference '`Segment`'.
`org.eclipse.emf.ecore.EAttribute` `getListRangePartitionItem_Values()` Returns the meta object for the attribute list '`Values`'.
`org.eclipse.emf.ecore.EClass` `getListRangePartitionItem()` Returns the meta object for class '`List Range Partition Item`'.
`PartitionFactory` `getPartitionFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` `getPartitionNumInSegments_PartitionNumb()` Returns the meta object for the attribute '`Partition Numb`'.
`org.eclipse.emf.ecore.EReference` `getPartitionNumInSegments_Segment()` Returns the meta object for the reference list '`Segment`'.
`org.eclipse.emf.ecore.EClass` `getPartitionNumInSegments()` Returns the meta object for class '`Num In Segments`'.
`org.eclipse.emf.ecore.EAttribute` `getPartitionSegmentPair_PartitionName()` Returns the meta object for the attribute '`Partition Name`'.
`org.eclipse.emf.ecore.EReference` `getPartitionSegmentPair_Segment()` Returns the meta object for the reference '`Segment`'.
`org.eclipse.emf.ecore.EClass` `getPartitionSegmentPair()` Returns the meta object for class '`Segment Pair`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEHashPartition_Columns()` Returns the meta object for the reference list '`Columns`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEHashPartition_PartitionNumInSegments()` Returns the meta object for the reference '`Partition Num In Segments`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEHashPartition_PartitionSegmentPairs()` Returns the meta object for the reference list '`Partition Segment Pairs`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEHashPartition()` Returns the meta object for class '`Sybase ASE Hash Partition`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEListPartition_Column()` Returns the meta object for the reference '`Column`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEListPartition_ListPartitionItems()` Returns the meta object for the reference list '`List Partition Items`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEListPartition()` Returns the meta object for class '`Sybase ASE List Partition`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEPartition()` Returns the meta object for class '`Sybase ASE Partition`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASERangePartition_Columns()` Returns the meta object for the reference list '`Columns`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASERangePartition_RangePartitionItems()` Returns the meta object for the reference list '`Range Partition Items`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASERangePartition()` Returns the meta object for class '`Sybase ASE Range Partition`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASERoundrobinPartition_PartitionNumInSegments()` Returns the meta object for the reference '`Partition Num In Segments`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASERoundrobinPartition_PartitionSegmentPairs()` Returns the meta object for the reference list '`Partition Segment Pairs`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASERoundrobinPartition()` Returns the meta object for class '`Sybase ASE Roundrobin Partition`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final PartitionPackage eINSTANCE

  The singleton instance of the package.

### SYBASE_ASE_PARTITION

    static final int SYBASE_ASE_PARTITION

  The meta object id for the '`Sybase ASE Partition`' class.

  See Also:
    `SybaseASEPartitionImpl`, `PartitionPackageImpl.getSybaseASEPartition()`, Constant Field Values

### SYBASE_ASE_PARTITION__EANNOTATIONS

    static final int SYBASE_ASE_PARTITION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PARTITION__NAME

    static final int SYBASE_ASE_PARTITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PARTITION__DEPENDENCIES

    static final int SYBASE_ASE_PARTITION__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PARTITION__DESCRIPTION

    static final int SYBASE_ASE_PARTITION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PARTITION__LABEL

    static final int SYBASE_ASE_PARTITION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PARTITION__COMMENTS

    static final int SYBASE_ASE_PARTITION__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PARTITION__EXTENSIONS

    static final int SYBASE_ASE_PARTITION__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PARTITION__PRIVILEGES

    static final int SYBASE_ASE_PARTITION__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PARTITION_FEATURE_COUNT

    static final int SYBASE_ASE_PARTITION_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Partition' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_RANGE_PARTITION

    static final int SYBASE_ASE_RANGE_PARTITION

  The meta object id for the '`Sybase ASE Range Partition`' class.

  See Also:
    `SybaseASERangePartitionImpl`, `PartitionPackageImpl.getSybaseASERangePartition()`, Constant Field Values

### SYBASE_ASE_RANGE_PARTITION__EANNOTATIONS

    static final int SYBASE_ASE_RANGE_PARTITION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_RANGE_PARTITION__NAME

    static final int SYBASE_ASE_RANGE_PARTITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_RANGE_PARTITION__DEPENDENCIES

    static final int SYBASE_ASE_RANGE_PARTITION__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_RANGE_PARTITION__DESCRIPTION

    static final int SYBASE_ASE_RANGE_PARTITION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_RANGE_PARTITION__LABEL

    static final int SYBASE_ASE_RANGE_PARTITION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_RANGE_PARTITION__COMMENTS

    static final int SYBASE_ASE_RANGE_PARTITION__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_RANGE_PARTITION__EXTENSIONS

    static final int SYBASE_ASE_RANGE_PARTITION__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_RANGE_PARTITION__PRIVILEGES

    static final int SYBASE_ASE_RANGE_PARTITION__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_RANGE_PARTITION__COLUMNS

    static final int SYBASE_ASE_RANGE_PARTITION__COLUMNS

  The feature id for the 'Columns' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_RANGE_PARTITION__RANGE_PARTITION_ITEMS

    static final int SYBASE_ASE_RANGE_PARTITION__RANGE_PARTITION_ITEMS

  The feature id for the 'Range Partition Items' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_RANGE_PARTITION_FEATURE_COUNT

    static final int SYBASE_ASE_RANGE_PARTITION_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Range Partition' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_HASH_PARTITION

    static final int SYBASE_ASE_HASH_PARTITION

  The meta object id for the '`Sybase ASE Hash Partition`' class.

  See Also:
    `SybaseASEHashPartitionImpl`, `PartitionPackageImpl.getSybaseASEHashPartition()`, Constant Field Values

### SYBASE_ASE_HASH_PARTITION__EANNOTATIONS

    static final int SYBASE_ASE_HASH_PARTITION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_HASH_PARTITION__NAME

    static final int SYBASE_ASE_HASH_PARTITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_HASH_PARTITION__DEPENDENCIES

    static final int SYBASE_ASE_HASH_PARTITION__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_HASH_PARTITION__DESCRIPTION

    static final int SYBASE_ASE_HASH_PARTITION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_HASH_PARTITION__LABEL

    static final int SYBASE_ASE_HASH_PARTITION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_HASH_PARTITION__COMMENTS

    static final int SYBASE_ASE_HASH_PARTITION__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_HASH_PARTITION__EXTENSIONS

    static final int SYBASE_ASE_HASH_PARTITION__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_HASH_PARTITION__PRIVILEGES

    static final int SYBASE_ASE_HASH_PARTITION__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_HASH_PARTITION__COLUMNS

    static final int SYBASE_ASE_HASH_PARTITION__COLUMNS

  The feature id for the 'Columns' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_HASH_PARTITION__PARTITION_SEGMENT_PAIRS

    static final int SYBASE_ASE_HASH_PARTITION__PARTITION_SEGMENT_PAIRS

  The feature id for the 'Partition Segment Pairs' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_HASH_PARTITION__PARTITION_NUM_IN_SEGMENTS

    static final int SYBASE_ASE_HASH_PARTITION__PARTITION_NUM_IN_SEGMENTS

  The feature id for the 'Partition Num In Segments' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_HASH_PARTITION_FEATURE_COUNT

    static final int SYBASE_ASE_HASH_PARTITION_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Hash Partition' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_LIST_PARTITION

    static final int SYBASE_ASE_LIST_PARTITION

  The meta object id for the '`Sybase ASE List Partition`' class.

  See Also:
    `SybaseASEListPartitionImpl`, `PartitionPackageImpl.getSybaseASEListPartition()`, Constant Field Values

### SYBASE_ASE_LIST_PARTITION__EANNOTATIONS

    static final int SYBASE_ASE_LIST_PARTITION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_LIST_PARTITION__NAME

    static final int SYBASE_ASE_LIST_PARTITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_LIST_PARTITION__DEPENDENCIES

    static final int SYBASE_ASE_LIST_PARTITION__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_LIST_PARTITION__DESCRIPTION

    static final int SYBASE_ASE_LIST_PARTITION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_LIST_PARTITION__LABEL

    static final int SYBASE_ASE_LIST_PARTITION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_LIST_PARTITION__COMMENTS

    static final int SYBASE_ASE_LIST_PARTITION__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_LIST_PARTITION__EXTENSIONS

    static final int SYBASE_ASE_LIST_PARTITION__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_LIST_PARTITION__PRIVILEGES

    static final int SYBASE_ASE_LIST_PARTITION__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_LIST_PARTITION__COLUMN

    static final int SYBASE_ASE_LIST_PARTITION__COLUMN

  The feature id for the 'Column' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_LIST_PARTITION__LIST_PARTITION_ITEMS

    static final int SYBASE_ASE_LIST_PARTITION__LIST_PARTITION_ITEMS

  The feature id for the 'List Partition Items' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_LIST_PARTITION_FEATURE_COUNT

    static final int SYBASE_ASE_LIST_PARTITION_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE List Partition' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROUNDROBIN_PARTITION

    static final int SYBASE_ASE_ROUNDROBIN_PARTITION

  The meta object id for the '`Sybase ASE Roundrobin Partition`' class.

  See Also:
    `SybaseASERoundrobinPartitionImpl`, `PartitionPackageImpl.getSybaseASERoundrobinPartition()`, Constant Field Values

### SYBASE_ASE_ROUNDROBIN_PARTITION__EANNOTATIONS

    static final int SYBASE_ASE_ROUNDROBIN_PARTITION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROUNDROBIN_PARTITION__NAME

    static final int SYBASE_ASE_ROUNDROBIN_PARTITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROUNDROBIN_PARTITION__DEPENDENCIES

    static final int SYBASE_ASE_ROUNDROBIN_PARTITION__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROUNDROBIN_PARTITION__DESCRIPTION

    static final int SYBASE_ASE_ROUNDROBIN_PARTITION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROUNDROBIN_PARTITION__LABEL

    static final int SYBASE_ASE_ROUNDROBIN_PARTITION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROUNDROBIN_PARTITION__COMMENTS

    static final int SYBASE_ASE_ROUNDROBIN_PARTITION__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROUNDROBIN_PARTITION__EXTENSIONS

    static final int SYBASE_ASE_ROUNDROBIN_PARTITION__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROUNDROBIN_PARTITION__PRIVILEGES

    static final int SYBASE_ASE_ROUNDROBIN_PARTITION__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_SEGMENT_PAIRS

    static final int SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_SEGMENT_PAIRS

  The feature id for the 'Partition Segment Pairs' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_NUM_IN_SEGMENTS

    static final int SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_NUM_IN_SEGMENTS

  The feature id for the 'Partition Num In Segments' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROUNDROBIN_PARTITION_FEATURE_COUNT

    static final int SYBASE_ASE_ROUNDROBIN_PARTITION_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Roundrobin Partition' class.

  See Also:
    Constant Field Values

### PARTITION_SEGMENT_PAIR

    static final int PARTITION_SEGMENT_PAIR

  The meta object id for the '`Segment Pair`' class.

  See Also:
    `PartitionSegmentPairImpl`, `PartitionPackageImpl.getPartitionSegmentPair()`, Constant Field Values

### PARTITION_SEGMENT_PAIR__EANNOTATIONS

    static final int PARTITION_SEGMENT_PAIR__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PARTITION_SEGMENT_PAIR__NAME

    static final int PARTITION_SEGMENT_PAIR__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PARTITION_SEGMENT_PAIR__DEPENDENCIES

    static final int PARTITION_SEGMENT_PAIR__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### PARTITION_SEGMENT_PAIR__DESCRIPTION

    static final int PARTITION_SEGMENT_PAIR__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### PARTITION_SEGMENT_PAIR__LABEL

    static final int PARTITION_SEGMENT_PAIR__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### PARTITION_SEGMENT_PAIR__COMMENTS

    static final int PARTITION_SEGMENT_PAIR__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### PARTITION_SEGMENT_PAIR__EXTENSIONS

    static final int PARTITION_SEGMENT_PAIR__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### PARTITION_SEGMENT_PAIR__PRIVILEGES

    static final int PARTITION_SEGMENT_PAIR__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### PARTITION_SEGMENT_PAIR__PARTITION_NAME

    static final int PARTITION_SEGMENT_PAIR__PARTITION_NAME

  The feature id for the 'Partition Name' attribute.

  See Also:
    Constant Field Values

### PARTITION_SEGMENT_PAIR__SEGMENT

    static final int PARTITION_SEGMENT_PAIR__SEGMENT

  The feature id for the 'Segment' reference.

  See Also:
    Constant Field Values

### PARTITION_SEGMENT_PAIR_FEATURE_COUNT

    static final int PARTITION_SEGMENT_PAIR_FEATURE_COUNT

  The number of structural features of the 'Segment Pair' class.

  See Also:
    Constant Field Values

### PARTITION_NUM_IN_SEGMENTS

    static final int PARTITION_NUM_IN_SEGMENTS

  The meta object id for the '`Num In Segments`' class.

  See Also:
    `PartitionNumInSegmentsImpl`, `PartitionPackageImpl.getPartitionNumInSegments()`, Constant Field Values

### PARTITION_NUM_IN_SEGMENTS__EANNOTATIONS

    static final int PARTITION_NUM_IN_SEGMENTS__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PARTITION_NUM_IN_SEGMENTS__NAME

    static final int PARTITION_NUM_IN_SEGMENTS__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PARTITION_NUM_IN_SEGMENTS__DEPENDENCIES

    static final int PARTITION_NUM_IN_SEGMENTS__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### PARTITION_NUM_IN_SEGMENTS__DESCRIPTION

    static final int PARTITION_NUM_IN_SEGMENTS__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### PARTITION_NUM_IN_SEGMENTS__LABEL

    static final int PARTITION_NUM_IN_SEGMENTS__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### PARTITION_NUM_IN_SEGMENTS__COMMENTS

    static final int PARTITION_NUM_IN_SEGMENTS__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### PARTITION_NUM_IN_SEGMENTS__EXTENSIONS

    static final int PARTITION_NUM_IN_SEGMENTS__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### PARTITION_NUM_IN_SEGMENTS__PRIVILEGES

    static final int PARTITION_NUM_IN_SEGMENTS__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### PARTITION_NUM_IN_SEGMENTS__PARTITION_NUMB

    static final int PARTITION_NUM_IN_SEGMENTS__PARTITION_NUMB

  The feature id for the 'Partition Numb' attribute.

  See Also:
    Constant Field Values

### PARTITION_NUM_IN_SEGMENTS__SEGMENT

    static final int PARTITION_NUM_IN_SEGMENTS__SEGMENT

  The feature id for the 'Segment' reference list.

  See Also:
    Constant Field Values

### PARTITION_NUM_IN_SEGMENTS_FEATURE_COUNT

    static final int PARTITION_NUM_IN_SEGMENTS_FEATURE_COUNT

  The number of structural features of the 'Num In Segments' class.

  See Also:
    Constant Field Values

### LIST_RANGE_PARTITION_ITEM

    static final int LIST_RANGE_PARTITION_ITEM

  The meta object id for the '`List Range Partition Item`' class.

  See Also:
    `ListRangePartitionItemImpl`, `PartitionPackageImpl.getListRangePartitionItem()`, Constant Field Values

### LIST_RANGE_PARTITION_ITEM__EANNOTATIONS

    static final int LIST_RANGE_PARTITION_ITEM__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### LIST_RANGE_PARTITION_ITEM__NAME

    static final int LIST_RANGE_PARTITION_ITEM__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### LIST_RANGE_PARTITION_ITEM__DEPENDENCIES

    static final int LIST_RANGE_PARTITION_ITEM__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### LIST_RANGE_PARTITION_ITEM__DESCRIPTION

    static final int LIST_RANGE_PARTITION_ITEM__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### LIST_RANGE_PARTITION_ITEM__LABEL

    static final int LIST_RANGE_PARTITION_ITEM__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### LIST_RANGE_PARTITION_ITEM__COMMENTS

    static final int LIST_RANGE_PARTITION_ITEM__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### LIST_RANGE_PARTITION_ITEM__EXTENSIONS

    static final int LIST_RANGE_PARTITION_ITEM__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### LIST_RANGE_PARTITION_ITEM__PRIVILEGES

    static final int LIST_RANGE_PARTITION_ITEM__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### LIST_RANGE_PARTITION_ITEM__PARTITION_NAME

    static final int LIST_RANGE_PARTITION_ITEM__PARTITION_NAME

  The feature id for the 'Partition Name' attribute.

  See Also:
    Constant Field Values

### LIST_RANGE_PARTITION_ITEM__VALUES

    static final int LIST_RANGE_PARTITION_ITEM__VALUES

  The feature id for the 'Values' attribute list.

  See Also:
    Constant Field Values

### LIST_RANGE_PARTITION_ITEM__SEGMENT

    static final int LIST_RANGE_PARTITION_ITEM__SEGMENT

  The feature id for the 'Segment' reference.

  See Also:
    Constant Field Values

### LIST_RANGE_PARTITION_ITEM_FEATURE_COUNT

    static final int LIST_RANGE_PARTITION_ITEM_FEATURE_COUNT

  The number of structural features of the 'List Range Partition Item' class.

  See Also:
    Constant Field Values

Method Detail

### getSybaseASEPartition

    org.eclipse.emf.ecore.EClass getSybaseASEPartition()

  Returns the meta object for class '`Sybase ASE Partition`'.

  Returns:
    the meta object for class 'Sybase ASE Partition'.
  See Also:
    `SybaseASEPartition`

### getSybaseASERangePartition

    org.eclipse.emf.ecore.EClass getSybaseASERangePartition()

  Returns the meta object for class '`Sybase ASE Range Partition`'.

  Returns:
    the meta object for class 'Sybase ASE Range Partition'.
  See Also:
    `SybaseASERangePartition`

### getSybaseASERangePartition_Columns

    org.eclipse.emf.ecore.EReference getSybaseASERangePartition_Columns()

  Returns the meta object for the reference list '`Columns`'.

  Returns:
    the meta object for the reference list 'Columns'.
  See Also:
    `SybaseASERangePartition.getColumns()`, `getSybaseASERangePartition()`

### getSybaseASERangePartition_RangePartitionItems

    org.eclipse.emf.ecore.EReference getSybaseASERangePartition_RangePartitionItems()

  Returns the meta object for the reference list '`Range Partition Items`'.

  Returns:
    the meta object for the reference list 'Range Partition Items'.
  See Also:
    `SybaseASERangePartition.getRangePartitionItems()`, `getSybaseASERangePartition()`

### getSybaseASEHashPartition

    org.eclipse.emf.ecore.EClass getSybaseASEHashPartition()

  Returns the meta object for class '`Sybase ASE Hash Partition`'.

  Returns:
    the meta object for class 'Sybase ASE Hash Partition'.
  See Also:
    `SybaseASEHashPartition`

### getSybaseASEHashPartition_Columns

    org.eclipse.emf.ecore.EReference getSybaseASEHashPartition_Columns()

  Returns the meta object for the reference list '`Columns`'.

  Returns:
    the meta object for the reference list 'Columns'.
  See Also:
    `SybaseASEHashPartition.getColumns()`, `getSybaseASEHashPartition()`

### getSybaseASEHashPartition_PartitionSegmentPairs

    org.eclipse.emf.ecore.EReference getSybaseASEHashPartition_PartitionSegmentPairs()

  Returns the meta object for the reference list '`Partition Segment Pairs`'.

  Returns:
    the meta object for the reference list 'Partition Segment Pairs'.
  See Also:
    `SybaseASEHashPartition.getPartitionSegmentPairs()`, `getSybaseASEHashPartition()`

### getSybaseASEHashPartition_PartitionNumInSegments

    org.eclipse.emf.ecore.EReference getSybaseASEHashPartition_PartitionNumInSegments()

  Returns the meta object for the reference '`Partition Num In Segments`'.

  Returns:
    the meta object for the reference 'Partition Num In Segments'.
  See Also:
    `SybaseASEHashPartition.getPartitionNumInSegments()`, `getSybaseASEHashPartition()`

### getSybaseASEListPartition

    org.eclipse.emf.ecore.EClass getSybaseASEListPartition()

  Returns the meta object for class '`Sybase ASE List Partition`'.

  Returns:
    the meta object for class 'Sybase ASE List Partition'.
  See Also:
    `SybaseASEListPartition`

### getSybaseASEListPartition_Column

    org.eclipse.emf.ecore.EReference getSybaseASEListPartition_Column()

  Returns the meta object for the reference '`Column`'.

  Returns:
    the meta object for the reference 'Column'.
  See Also:
    `SybaseASEListPartition.getColumn()`, `getSybaseASEListPartition()`

### getSybaseASEListPartition_ListPartitionItems

    org.eclipse.emf.ecore.EReference getSybaseASEListPartition_ListPartitionItems()

  Returns the meta object for the reference list '`List Partition Items`'.

  Returns:
    the meta object for the reference list 'List Partition Items'.
  See Also:
    `SybaseASEListPartition.getListPartitionItems()`, `getSybaseASEListPartition()`

### getSybaseASERoundrobinPartition

    org.eclipse.emf.ecore.EClass getSybaseASERoundrobinPartition()

  Returns the meta object for class '`Sybase ASE Roundrobin Partition`'.

  Returns:
    the meta object for class 'Sybase ASE Roundrobin Partition'.
  See Also:
    `SybaseASERoundrobinPartition`

### getSybaseASERoundrobinPartition_PartitionSegmentPairs

    org.eclipse.emf.ecore.EReference getSybaseASERoundrobinPartition_PartitionSegmentPairs()

  Returns the meta object for the reference list '`Partition Segment Pairs`'.

  Returns:
    the meta object for the reference list 'Partition Segment Pairs'.
  See Also:
    `SybaseASERoundrobinPartition.getPartitionSegmentPairs()`, `getSybaseASERoundrobinPartition()`

### getSybaseASERoundrobinPartition_PartitionNumInSegments

    org.eclipse.emf.ecore.EReference getSybaseASERoundrobinPartition_PartitionNumInSegments()

  Returns the meta object for the reference '`Partition Num In Segments`'.

  Returns:
    the meta object for the reference 'Partition Num In Segments'.
  See Also:
    `SybaseASERoundrobinPartition.getPartitionNumInSegments()`, `getSybaseASERoundrobinPartition()`

### getPartitionSegmentPair

    org.eclipse.emf.ecore.EClass getPartitionSegmentPair()

  Returns the meta object for class '`Segment Pair`'.

  Returns:
    the meta object for class 'Segment Pair'.
  See Also:
    `PartitionSegmentPair`

### getPartitionSegmentPair_PartitionName

    org.eclipse.emf.ecore.EAttribute getPartitionSegmentPair_PartitionName()

  Returns the meta object for the attribute '`Partition Name`'.

  Returns:
    the meta object for the attribute 'Partition Name'.
  See Also:
    `PartitionSegmentPair.getPartitionName()`, `getPartitionSegmentPair()`

### getPartitionSegmentPair_Segment

    org.eclipse.emf.ecore.EReference getPartitionSegmentPair_Segment()

  Returns the meta object for the reference '`Segment`'.

  Returns:
    the meta object for the reference 'Segment'.
  See Also:
    `PartitionSegmentPair.getSegment()`, `getPartitionSegmentPair()`

### getPartitionNumInSegments

    org.eclipse.emf.ecore.EClass getPartitionNumInSegments()

  Returns the meta object for class '`Num In Segments`'.

  Returns:
    the meta object for class 'Num In Segments'.
  See Also:
    `PartitionNumInSegments`

### getPartitionNumInSegments_PartitionNumb

    org.eclipse.emf.ecore.EAttribute getPartitionNumInSegments_PartitionNumb()

  Returns the meta object for the attribute '`Partition Numb`'.

  Returns:
    the meta object for the attribute 'Partition Numb'.
  See Also:
    `PartitionNumInSegments.getPartitionNumb()`, `getPartitionNumInSegments()`

### getPartitionNumInSegments_Segment

    org.eclipse.emf.ecore.EReference getPartitionNumInSegments_Segment()

  Returns the meta object for the reference list '`Segment`'.

  Returns:
    the meta object for the reference list 'Segment'.
  See Also:
    `PartitionNumInSegments.getSegment()`, `getPartitionNumInSegments()`

### getListRangePartitionItem

    org.eclipse.emf.ecore.EClass getListRangePartitionItem()

  Returns the meta object for class '`List Range Partition Item`'.

  Returns:
    the meta object for class 'List Range Partition Item'.
  See Also:
    `ListRangePartitionItem`

### getListRangePartitionItem_PartitionName

    org.eclipse.emf.ecore.EAttribute getListRangePartitionItem_PartitionName()

  Returns the meta object for the attribute '`Partition Name`'.

  Returns:
    the meta object for the attribute 'Partition Name'.
  See Also:
    `ListRangePartitionItem.getPartitionName()`, `getListRangePartitionItem()`

### getListRangePartitionItem_Values

    org.eclipse.emf.ecore.EAttribute getListRangePartitionItem_Values()

  Returns the meta object for the attribute list '`Values`'.

  Returns:
    the meta object for the attribute list 'Values'.
  See Also:
    `ListRangePartitionItem.getValues()`, `getListRangePartitionItem()`

### getListRangePartitionItem_Segment

    org.eclipse.emf.ecore.EReference getListRangePartitionItem_Segment()

  Returns the meta object for the reference '`Segment`'.

  Returns:
    the meta object for the reference 'Segment'.
  See Also:
    `ListRangePartitionItem.getSegment()`, `getListRangePartitionItem()`

### getPartitionFactory

    PartitionFactory getPartitionFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.